/*This file is part of SoftSERVE.
 *
 *   SoftSERVE is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   SoftSERVE is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with SoftSERVE.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef FOURINTCA_H_
#define FOURINTCA_H_

double CAI4E0yt(double w, double s6, double x, double s5);
double CAI4EM1yt(double w, double s6, double x, double s5);
double CAI4EM2yt(double w, double s6, double x, double s5);

double CAI4E0yu(double w, double s6, double x, double z);
double CAI4EM1yu(double w, double s6, double x, double z);
double CAI4EM2yu(double w, double s6, double x, double z);

double CAI4E0yb(double w, double s6, double x, double c);
double CAI4EM1yb(double w, double s6, double x, double c);
double CAI4EM2yb(double w, double s6, double x, double c);

double CAI4E0tu(double w, double s6, double s5, double z);
double CAI4EM1tu(double w, double s6, double s5, double z);
double CAI4EM2tu(double w, double s6, double s5, double z);

double CAI4E0tb(double w, double s6, double s5, double c);
double CAI4EM1tb(double w, double s6, double s5, double c);
double CAI4EM2tb(double w, double s6, double s5, double c);

double CAI4E0ub(double w, double s6, double z, double c);
double CAI4EM1ub(double w, double s6, double z, double c);
double CAI4EM2ub(double w, double s6, double z, double c);

#endif /* FOURINTCA_H_ */
